Subject: Re: New Qlogic qla3xxx NIC Driver v2.02.00k31 for upstream inclusion

From: Jeff Garzik <[email-masked]>
Date: Thu, 22 Jun 2006 17:35:30 -0400

Andrew Morton wrote:
> "Ron Mercer" <[email-masked]> wrote:
>> Thanks for your feedback.  I've fixed everything you mentioned with the
>> exception of the code below.  I need to swap every other byte pair of my
>> nvram mac address for big endian systems.  Everything else I tried was
>> more messy.  Did you have anything specific in mind?
> 
> Nope, it was more a question for the other netdev developers.  If nobody
> can point at a library function or something then fine, leave it as-is.

It seems sane to me.  The kernel doesn't have a standard le48_to_cpu() 
and cpu_to_le48()...

	Jeff